# vaultwarden -- https://github.com/dani-garcia/vaultwarden
---
services:
  vaultwarden:
    image: vaultwarden/server:1.35.2
    container_name: vaultwarden
    restart: unless-stopped
    environment:
      DOMAIN: "${VAULT_DOMAIN}"
      ROCKET_PORT: ${ROCKET_PORT}
      ROCKET_ENV: production
    volumes:
      - vaultwarden-mount:/data/
    ports:
      - 'LOCAL_PORT:80'
      - 'SSL_PORT:443'

volumes:
  vaultwarden-mount:
    name: vaultwarden-mount
    driver_opts:
      type: nfs
      o: addr=truenas,nolock,soft,rw
      device: :/mnt/store/vault/app/vaultwarden